<template>
  <component
    :is="earComponent"
    v-if="earComponent"
    :color="props.color"
    :earring="earring"
  />
</template>

<script lang="ts" setup>
import { computed } from 'vue'
import Small from './Small.vue'
import Big from './Big.vue'
import { EarringType, EarSize } from '@/api'

const props = defineProps<{
  color: string
  size: EarSize
  earring: EarringType
}>()

const earComponent = computed<typeof Small>(() => {
  switch (props.size) {
    case 'big':
      return Big
    case 'small':
    default:
      return Small
  }
})
</script>
